> For the complete documentation index, see [llms.txt](https://docs.kairos-timeboost.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kairos-timeboost.xyz/json-rpc-endpoints/stats-apis/timeboost_getauctionwinnerbyround-deprecated.md).

# timeboost\_getAuctionWinnerByRound (Deprecated)

{% hint style="danger" %}
**Deprecation Notice**

These endpoints are deprecated and is removed. Please migrate to the new **Auction Stream API** to ensure continued functionality.

[View the Auction Stream Documentation](/auction-stream.md)
{% endhint %}

This endpoint returns the status of the current or specified Timeboost round, including its start and end timestamps.

Use this endpoint to determine whether Kairos is the express-lane signer for a given round. If Kairos is not the signer, we will not be running a sub-auction for that round, and express-lane access via Kairos will be unavailable.

### Sample Request by Round

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "timeboost_getAuctionWinnerByRound",
  "params": [
    // [Integer] Specific round you want to find out if we are the winner for.
    1234,           
  ]
}
```

### Sample Request by Timestamp

```bison
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "timeboost_getAuctionWinnerByTs",
  "params": [
    // [Integer] UTC timestamp since the epoch.
    1761238476,           
  ]
}
```

### CURL Example

```json
curl -X POST \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "method": "timeboost_getAuctionWinnerByRound",
    "params": [121212],
    "id": 1
  }' \
  https://rpc.kairos-timeboost.xyz/stats
```

### **Response Example** <a href="#response-example" id="response-example"></a>

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    // Requested round stats
    "current_winner": "",
    "current_round": 121212,
    "current_round_start_timestamp": "2025-01-27 19:51:34 UTC",
    "current_round_end_timestamp": "2025-01-27 19:52:34 UTC",
    
    // Optional next round stats
    "next_winner": "",
    "next_round_start_timestamp": "2025-01-27 19:52:53 UTC",
    "next_round_end_timestamp": "2025-01-27 19:53:53 UTC"
  }
}
```

We will know the next round winner 15 seconds before the round starts as that's when the auction ends. So for the final 15s of a round you will see both current\_winner and next\_winner added.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kairos-timeboost.xyz/json-rpc-endpoints/stats-apis/timeboost_getauctionwinnerbyround-deprecated.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
